Bug 1270869 - RHOS does not properly detect VirtIO storage
RHOS does not properly detect VirtIO storage
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-discoverd (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 7.0 (Kilo)
Assigned To: Dmitry Tantsur
yeylon@redhat.com
:
Depends On:
Blocks: 1273561
  Show dependency treegraph
 
Reported: 2015-10-12 10:50 EDT by Jason Montleon
Modified: 2016-04-18 02:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: the introspection ramdisk assumes SATA disk type and does not detect VirtIO disks Consequence: VirtIO disks are not detected Workaround (if any): temporary switch VirtIO disks to SATA before introspection Result: introspection will succeed and disks can be changed back before deployment
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 09:17:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2015-10-12 10:50:54 EDT
Description of problem:
RHOS only has a restriction that the Compute Nodes be bare metal. Despite this the ironic is not able to properly detect VirtIO disks. 

The paravirtualization drivers are the default for any VM created using libvirt/virt-manager/RHEV, so it seems reasonable then that the ramdisk would contain drivers for and properly detect VirtIO disks rather than requiring users to set the VM's to use full virtualization SATA controllers and take a performance hit as has been suggested to us. 


Not to mention this will probably trip up users trying to use VM's for any of their nodes when they aren't properly detected and fail to provision properly.

Further SATA isn't even an option in RHEV, so if the desire were to host other nodes on RHEV you'd be out of luck, unless possibly IDE works.

Version-Release number of selected component (if applicable):
RHOS 7.0

How reproducible:
Always

Steps to Reproduce:
1. Set up an undercloud
2. PXE Boot a VM configured with a VirtIO disk

Actual results:
Disk is not properly detected.

Expected results:
Disk should be properly detected.

Additional info:
Comment 1 Jason Montleon 2015-10-12 10:59:58 EDT
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/chap-Requirements.html#sect-Environment_Requirements

"It is recommended to use bare metal systems for all nodes. At minimum, the Compute nodes require bare metal systems."
Comment 4 Dmitry Tantsur 2016-02-09 09:11:56 EST
Hi! It's a known issue for OSPd7. The recommended workaround is to use SATA emulation for introspection, then switch nodes back to VirtIO. This issue does not affect OSPd8.
Comment 5 Dmitry Tantsur 2016-02-09 09:17:48 EST
I'm sorry, but fixing the introspection ramdisk for OSPd7 is too risky at this point, provided that an easy workaround exists for this issue. Please let us know if you encounter similar problems with OSPd8.

Note You need to log in before you can comment on or make changes to this bug.